/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLFieldSetElement_H___INT_
#define __GdomHTMLFieldSetElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLFieldSetElement.h"
G_BEGIN_DECLS
class GDOMHTMLFieldSetElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_FIELD_SET_ELEMENT; }
    GDOMHTMLFieldSetElement(PassRefPtr<WebCore::HTMLFieldSetElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLFieldSetElement_H___INT_*/
